# all files / ol/ centerconstraint.js

88.89% Statements 8/9
50% Branches 1/2
100% Functions 3/3
88.89% Lines 8/9

    1
    2
    3
    4
    5
    6
    7
    8
    9
    10
    11
    12
    13
    14
    15
    16
    17
    18
    19
    20
    21
    22
    23
    24
    25
    26
    27
    28
    29
    30
    31
    32
    33
    34
    35
    361×

    1×

    1×
    2×

    7×
    7×

    1×
    18×

     goog.provide('ol.CenterConstraint');

    goog.require('ol.math');

    /**
     * @param {ol.Extent} extent Extent.
     * @return {ol.CenterConstraintType} The constraint.
     */
    ol.CenterConstraint.createExtent = function(extent) {
      return (
        /**
         * @param {ol.Coordinate|undefined} center Center.
         * @return {ol.Coordinate|undefined} Center.
         */
        function(center) {
          Eif (center) {
            return [
              ol.math.clamp(center[0], extent[0], extent[2]),
              ol.math.clamp(center[1], extent[1], extent[3])
            ];
          } else {
            return undefined;
          }
        });
    };

    /**
     * @param {ol.Coordinate|undefined} center Center.
     * @return {ol.Coordinate|undefined} Center.
     */
    ol.CenterConstraint.none = function(center) {
      return center;
    };